<%@ Page Language="C#" %>

<%@ Import Namespace="System.IO" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    string url, path = "";

    protected void Page_Load(object sender, EventArgs e)
    {
        url = String.Format("~/{0}.pdf", RadGrid1.ExportSettings.FileName);
        path = Server.MapPath(url);
    }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        RadWindow1.NavigateUrl = url;
        RadWindow1.VisibleOnPageLoad = RadToolBar1.Items[1].Enabled = File.Exists(path);
    }

    protected void RadGrid1_GridExporting(object source, GridExportingArgs e)
    {
        if (File.Exists(path))
        {
            File.Delete(path);
        }

        using (FileStream fs = File.Create(path))
        {
            Byte[] info = System.Text.Encoding.Default.GetBytes(e.ExportOutput);
            fs.Write(info, 0, info.Length);
        }

        Response.Redirect("~/Default.aspx");
    }

    protected void RadToolBar1_ButtonClick(object sender, RadToolBarEventArgs e)
    {
        if (e.Item.Value == "Export")
        {
            RadGrid1.MasterTableView.ExportToPdf();
        }
        else if (e.Item.Value == "Delete")
        {
            if (File.Exists(path))
            {
                File.Delete(path);
            }
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>RadGrid PDF Export</title>

    <script type="text/javascript">
        function RadWindow1_ClientClose(sender, args) {
            $find("RadToolBar1").findItemByValue("Delete").click();
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server" />
        <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
        <telerik:RadSkinManager ID="RadSkinManager1" Skin="Vista" runat="server" />
        <telerik:RadToolBar ID="RadToolBar1" Width="600px" AutoPostBack="true" runat="server"
            OnButtonClick="RadToolBar1_ButtonClick">
            <Items>
                <telerik:RadToolBarButton Value="Export" Text="Export" />
                <telerik:RadToolBarButton Value="Delete" Text="Delete" />
            </Items>
        </telerik:RadToolBar>
        <br style="clear: both;" />
        <telerik:RadGrid ID="RadGrid1" Width="600px" DataSourceID="SqlDataSource1" AutoGenerateColumns="false"
            AllowPaging="True" PageSize="2" runat="server" OnGridExporting="RadGrid1_GridExporting">
            <ExportSettings IgnorePaging="true" OpenInNewWindow="true">
                <Pdf AllowAdd="false" AllowCopy="true" AllowModify="true" AllowPrinting="true" Author="Anonymous"
                    Keywords="None" PageBottomMargin="1in" PageLeftMargin="1in" PageRightMargin="1in"
                    PageTopMargin="1in" PageTitle="RadGrid export document" Subject="RadGrid Export"
                    Title="RadGrid export" PaperSize="Letter" />
            </ExportSettings>
            <MasterTableView Style="border: 7px solid #eaf2fd;" CellPadding="10" Width="100%">
                <Columns>
                    <telerik:GridTemplateColumn HeaderText="Products">
                        <ItemTemplate>
                            <asp:Image ID="Image1" Width="200px" Height="150px" ImageUrl='<%# "Img/" + Eval("Name") %>'
                                runat="server" AlternateText="Stock Image" />
                            <br />
                            <span style="font-weight: bold; font-family: Arial Black;">Price:</span>
                            <%# Eval("Price", "{0:C2}")%>
                            <br />
                            <br />
                            <span style="font-weight: bold;">Condition:</span>
                            <%# (Convert.ToBoolean(Eval("Condition"))) ? "New" : "Used"%>
                            <br />
                            <br />
                            <span style="font-weight: bold;">Quantity:</span>
                            <%# Eval("Quantity") + " available"%>
                            <br />
                            <br />
                            <span style="font-weight: bold;">Shipping:</span> This item ships UPS ground. Please
                            allow min 4 production and delivery time from verified / cleared check payment.
                            <br />
                            <br />
                            &nbsp; <span style="font-weight: bold;">Description:</span> Custom Made with Your
                            fabric choice - allow time for production &amp; delivery. Back Orders can Occur.
                            DF Boutique will notify you of any such changes.
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <asp:SqlDataSource ID="SqlDataSource1" ConnectionString="<%$ ConnectionStrings:TelerikConnectionString %>"
            ProviderName="System.Data.SqlClient" SelectCommand="SELECT * FROM Products" runat="server">
        </asp:SqlDataSource>
        <telerik:RadWindow ID="RadWindow1" Title="RadGrid PDF Output" Width="700px" Height="600px"
            runat="server" OnClientClose="RadWindow1_ClientClose">
        </telerik:RadWindow>
    </div>
    </form>
</body>
</html>
